/*
 * @Author: your name
 * @Date: 2022-01-06 14:44:20
 * @LastEditTime: 2022-01-06 19:41:06
 * @LastEditors: Please set LastEditors
 * @Description: 搜索组件的配置
 * @FilePath: \goldenPig\src\views\summary-data\individual-data\search.config.js
 */
export const formItemProp = [
  {
    label: '牧场：',
    type: 'select',
    field: 'farmId',
    placeholder: '请选择牧场',
    options: [],
  },
  {
    label: '采集时间：',
    type: 'datePicker',
    field: 'date',
    placeholder: ['开始日期', '结束日期']
  },
  {
    label: '耳标号：',
    type: 'input',
    field: 'eartag',
    placeholder: '请输入耳标号'
  },
  {
    label: '耳根温度(℃)：',
    type: 'custom',
    field: 'earTemp',
    placeholder: ['请输入数字', '请输入数字'],
    slotName: 'earTemp'
  },
  {
    label: '环境温度(℃)：',
    type: 'custom',
    field: 'envTemp',
    placeholder: ['请输入数字', '请输入数字'],
    slotName: 'envTemp'
  },
  {
    label: '信号强度(-db)：',
    type: 'custom',
    field: 'signal',
    placeholder: ['请输入数字', '请输入数字'],
    slotName: 'signal'
  },
  {
    label: '采集器编码：',
    type: 'input',
    field: 'deviceCode',
    placeholder: '请输入编码'
  }
]
